/*
 * ButtonEvent.cpp
 *
 *  Created on: 21 nov. 2023
 *      Author: remi.heredero
 */

#include <app/ButtonEvent.h>

ButtonEvent::ButtonEvent(int id, interface::XFReactive * pBehavior, uint8_t buttonId)
		: XFCustomEvent(id, pBehavior),
		  buttonId_(buttonId) {
}

